# -*- coding: utf-8 -*-

import sys
from creole.config import bareos_restore_root
sys.path.insert(0, bareos_restore_root)
import restore

def filter_built(module):
    """Retourne la liste des modules publics"""
    return list(filter(lambda x: not(x.__contains__('__')), dir(module)))

def list_bareos_restore():
    plug_options = filter_built(restore)
    plug_options.sort()
    return plug_options
